# ScanbotImageRecognitionOperations class

Provides image recognition functionalities like MRZ scanning, health card recognition, etc.

## Constructors

ScanbotImageRecognitionOperations.new()

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

extractDocumentDataFromImage(String imageUri, DocumentDataExtractorConfiguration configuration) → Future<DocumentDataExtractionResult>
  Performs a generic document data extraction from the image at `imageUri`.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
recognizeCheckOnImage(String imageUri, CheckScannerConfiguration configuration, [List<CheckDocumentModelRootType>? acceptedCheckStandards = null]) → Future<CheckScanningResult>
  Recognizes check details from the image at `imageUri`.
recognizeCreditCardOnImage(String imageUri, CreditCardScannerConfiguration configuration) → Future<CreditCardScanningResult>
  Recognizes credit card data from the image at `imageUri`.
recognizeHealthInsuranceCardOnImage(String imageUri, EuropeanHealthInsuranceCardRecognizerConfiguration configuration) → Future<EuropeanHealthInsuranceCardRecognitionResult>
  Recognizes a European Health Insurance Card from the image at `imageUri`.
recognizeMedicalCertificateOnImage(String imageUri, MedicalCertificateScanningParameters configuration) → Future<MedicalCertificateScanningResult>
  Recognizes medical certificate fields from the image at `imageUri`.
recognizeMrzOnImage(String imageUri, MrzScannerConfiguration configuration) → Future<MrzScannerResult>
  Recognizes MRZ (Machine Readable Zone) fields on the image at `imageUri`.
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited